<?php get_header();?>

	<?php frontier_get_slider('main'); ?>

<div id="content">
	<?php do_action('frontier_before_content'); ?>

	<?php if ( is_active_sidebar('widgets_before_content') ) : ?>
		<div id="widgets-wrap-before-content"><?php dynamic_sidebar('widgets_before_content'); ?></div>
	<?php endif ; ?>

	<?php frontier_get_slider('content'); ?>

	<?php if ( is_archive() || is_search() ) : ?>
		<div class="archive-info">
			<h3 class="archive-title">
			<?php
				if ( is_search() ) {
				printf(	__( 'Search Results for &ndash; &quot;%s&quot;', 'frontier' ), '<span>' . get_search_query() . '</span>' ); }
				elseif ( is_category() ) {
				printf(	__( 'Category &ndash; %s', 'frontier' ), '<span>' . single_cat_title( '', false ) . '</span>' ); }
				elseif ( is_tag() ) {
				printf(	__( 'Tag &ndash; %s', 'frontier' ), '<span>' . single_cat_title( '', false ) . '</span>' ); }
				elseif ( is_day() ) {
				printf( __( 'Date &ndash; %s', 'frontier' ), '<span>' . get_the_date() . '</span>' ); }
				elseif ( is_month() ) {
				printf( __( 'Month &ndash; %s', 'frontier' ), '<span>' . get_the_date( 'F Y' ) . '</span>' ); }
				elseif ( is_year() ) {
				printf( __( 'Year &ndash; %s', 'frontier' ), '<span>' . get_the_date( 'Y' ) . '</span>' ); }
			?>
			</h3>

			<?php if ( is_category() && category_description() != '' ) : ?>
				<div class="archive-description"><?php echo category_description(); ?> </div>
			<?php elseif ( is_tag() && tag_description() != '' ) : ?>
				<div class="archive-description"><?php echo tag_description(); ?> </div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<?php do_action('frontier_before_loop'); ?>

	<!-- Start the Loop -->
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<?php if ( !is_singular() ) : ?>
				<?php get_template_part( 'loop', 'blog' ); ?>
		<?php else : ?>
				<?php get_template_part( 'loop', 'single' ); ?>
		<?php endif; ?>

	<?php endwhile; else: ?>

		<!-- Post Not Found -->
		<div class="form-404">
			<h2><?php _e('Nothing Found', 'frontier'); ?></h2>
			<p><?php _e('Try a new keyword.', 'frontier'); ?></p>
			<?php get_search_form(); ?>
		</div>

	<!-- End Loop -->
	<?php endif; ?>

	<?php do_action('frontier_after_loop'); ?>

	<!-- Bottom Post Navigation -->
	<?php if ( !is_singular() ) : ?>

		<div id="blog-pagination">
			<!-- wp-pagenavi support -->
			<?php if ( function_exists('wp_pagenavi') ):?>
				<?php wp_pagenavi(); ?>
			<?php else : ?>
				<div class="link-prev"><?php next_posts_link( __( '&laquo; Older posts', 'frontier' ) ); ?></div>
				<div class="link-next"><?php previous_posts_link( __( 'Newer posts &raquo;', 'frontier' ) ); ?></div>
			<?php endif; ?>
		</div>

	<?php endif; ?>

	<?php if ( is_active_sidebar('widgets_after_content') ) : ?>
		<div id="widgets-wrap-after-content"><?php dynamic_sidebar('widgets_after_content'); ?></div>
	<?php endif ; ?>

	<?php do_action('frontier_after_content'); ?>
</div>

<?php
switch ( frontier_option('column_layout', 'col-cs') ) {
	case 'col-sc' :
		get_sidebar('left');
		break;

	case 'col-cs' :
		get_sidebar('right');
		break;
	
	case 'col-ssc' :
	case 'col-scs' :
	case 'col-css' :
		get_sidebar('left');
		get_sidebar('right');	
		break;
}
?>
<?php get_footer(); ?>