<?php do_action('frontier_before_blog_post'); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class('blog-view'); ?>>

<header class="entry-header">
	<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php echo the_title(); ?></a></h2>
</header>

<div class="entry-byline">
	<?php $blog_elements = frontier_option('blog_elements'); ?>

	<?php if ( !isset($blog_elements['author']) || $blog_elements['author'] != 0 ) : ?><div class="entry-author"><i class="genericon genericon-user"></i><?php the_author_posts_link(); ?></div><?php endif; ?>
	<?php if ( !isset($blog_elements['published']) || $blog_elements['published'] != 0 ) : ?><div class="entry-date"><i class="genericon genericon-day"></i><a href="<?php the_permalink(); ?>"><?php the_time(get_option('date_format')); ?></a></div><?php endif; ?>
	<?php if ( ( !isset($blog_elements['categories']) || $blog_elements['categories'] != 0 ) && ( get_post_type() == 'post' ) ) : ?><div class="entry-categories"><i class="genericon genericon-category"></i><?php the_category(', '); ?></div><?php endif; ?>
	<?php if ( !isset($blog_elements['comment_info']) || $blog_elements['comment_info'] != 0 ) : ?><div class="entry-comment-info"><i class="genericon genericon-comment"></i><a href="<?php the_permalink(); ?>#comment-area"><?php comments_number( __('Comments', 'frontier'), __('1 Comment', 'frontier'), __('% Comments', 'frontier') ); ?></a></div><?php endif; ?>
	<?php edit_post_link( __('Edit', 'frontier'), '<i class="genericon genericon-edit"></i>' ); ?>
</div>

<div class="entry-content">

	<?php if ( frontier_option('blog_display', 'excerpt') == 'excerpt' ) : ?>

		<?php if ( has_post_thumbnail() && ( !isset($blog_elements['comment_info']) || $blog_elements['thumbnail'] == 1 ) ) : ?>
			<div class="entry-thumbnail">
				<a class="post-thumbnail" href="<?php the_permalink(); ?>"><?php frontier_option('excerpt_thumbnail', '150') == '150' ? the_post_thumbnail('thumbnail') : the_post_thumbnail('thumb-200x120'); ?></a>
			</div>
			<div class="entry-excerpt"><?php the_excerpt(); ?></div>
		<?php else : ?>
			<div class="entry-excerpt"><?php the_excerpt(); ?></div>
		<?php endif ; ?>

	<?php else : ?>

		<?php the_content(); ?>

	<?php endif ; ?>

	<?php wp_link_pages( array(
		'before'           => '<div class="page-nav">' . __('<span>Pages</span>', 'frontier'),
		'after'            => '</div>',
		'link_before'      => '<span>',
		'link_after'       => '</span>',
		'next_or_number'   => 'number',
		'nextpagelink'     => __('Next page', 'frontier'),
		'previouspagelink' => __('Previous page', 'frontier'),
		'pagelink'         => '%',
		'echo'             => 1 )
		);
	?>
</div><!-- .entry-content -->

<footer class="entry-footer">
	<?php if ( frontier_option('blog_display', 'excerpt') == 'excerpt' ) : ?>
		<div class="read-more"><a href="<?php the_permalink(); ?>" class="read-more-link"><?php _e('Continue Reading', 'frontier'); ?></a></div>
	<?php else : ?>
		<?php if ( $blog_elements['updated'] == 1 ) : ?><div class="entry-updated updated"><?php _e('Updated:', 'frontier'); ?>&nbsp;<?php the_modified_date(); ?>&nbsp;&#64;&nbsp;<?php the_modified_time(); ?></div><?php endif ; ?>
		<?php if ( ($blog_elements['tags'] == 1) && ( get_post_type() == 'post' ) ) : ?><div class="entry-tags"><?php the_tags(); ?></div><?php endif ; ?>
	<?php endif ; ?>
</footer>

</article>
<?php do_action('frontier_after_blog_post'); ?>